<?php

namespace Planaday\Config\OptionTypes;

/**
 * @template TDefault
 * @extends Option<string, TDefault>
 */
class StringOption extends Option {
	/**
	 * @param string $index
	 * @param string $title
	 * @param string $description
	 * @param string|null $value
	 * @param TDefault $defaultValue
	 */
	public function __construct( string $index, string $title, string $description, ?string $value, $defaultValue ) {
		parent::__construct( $index, $title, $description, $value, $defaultValue );
	}

	function getType(): string {
		return 'string';
	}
}